Bug 654265 - spicec hangs frequently in normal use
Summary: spicec hangs frequently in normal use
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: spice
Version: 14
Hardware: Unspecified
OS: Unspecified
low
high
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-17 10:56 UTC by Matthew Booth
Modified: 2010-12-02 19:11 UTC (History)
4 users (show)

Fixed In Version: spice-0.6.3-4.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-02 19:11:46 UTC


Attachments (Terms of Use)
spicec thread backtraces during hang (5.64 KB, text/plain)
2010-11-17 10:56 UTC, Matthew Booth
no flags Details
qemu output of session which includes a hang, kill and reconnect (4.79 KB, text/plain)
2010-11-17 10:57 UTC, Matthew Booth
no flags Details

Description Matthew Booth 2010-11-17 10:56:59 UTC
Created attachment 461036 [details]
spicec thread backtraces during hang

Description of problem:
I have single guest using spice on my F14 host. The guest is also running F14. Both guest and host are x86_64. The guest is using qxl drivers. I have the following on the qemu command line:

-vga qxl -spice port=8137,disable-ticketing

I am connecting with:

spicec -h localhost -p 8137

spicec frequently hangs in normal usage. Specifically, it becomes unresponsive to the mouse and keyboard. A regular 'kill' will not kill it. I have been killing it with -9, although I have not tested if any other signal will do it. I have not yet noticed a pattern in the hangs. They happen many times a day, making using spicec a painful experience. I have not noticed any issues in the guest, and I can reconnect immediately after killing spicec.

I have attached a file containing backtraces of all spicec's threads during a hang. I will also attach qemu output for my current session. spicec has hung once during this session, and I have reconnected. I have also resized the guest's display. Unfortunately I didn't make a note of which point in the log the hang occurred.

Version-Release number of selected component (if applicable):
spice-client-0.6.3-3.fc14.x86_64
qemu-kvm-0.13.0-1.fc14.x86_64

Comment 1 Matthew Booth 2010-11-17 10:57:54 UTC
Created attachment 461037 [details]
qemu output of session which includes a hang, kill and reconnect

Comment 2 Hans de Goede 2010-11-17 11:39:11 UTC
Hi,

Thanks for using spice, and thanks for the bug report. The bt of the spice client while it hangs is exactly what I needed.

I've done a scratch build with a patch hopefully fixing this, please test it:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2606112

Regards,

Hans

Comment 3 Hans de Goede 2010-11-17 11:40:17 UTC
p.s.

Note if you see another hang with the scratch build, please do a bt of all threads of the client again.

Comment 4 Matthew Booth 2010-11-17 13:11:30 UTC
Thanks for the fast response. I've installed the scratch build and will report on how the testing goes.

Comment 5 Hans de Goede 2010-11-18 14:23:41 UTC
Matthew, thanks for testing. Any feedback on this ? (such as did not hang for an entire day, looks fixed :)

Comment 6 Matthew Booth 2010-11-18 15:18:26 UTC
This hasn't hung now for 2 days. Certainly looks fixed.

Comment 7 Hans de Goede 2010-11-25 10:58:24 UTC
Good, expect an official update fixing this soon.

Comment 8 Fedora Update System 2010-11-25 11:37:50 UTC
spice-0.6.3-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/spice-0.6.3-4.fc14

Comment 9 Fedora Update System 2010-11-26 01:12:46 UTC
spice-0.6.3-4.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update spice'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/spice-0.6.3-4.fc14

Comment 10 Fedora Update System 2010-12-02 19:11:31 UTC
spice-0.6.3-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.